<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.shcd.mapper.ShipIllegalAutoMapper">

    <resultMap id="BaseResultMap" type="com.shcd.entity.ShipIllegalAuto">
            <result property="addTime" column="ADD_TIME" jdbcType="TIMESTAMP"/>
            <result property="appearTime" column="APPEAR_TIME" jdbcType="TIMESTAMP"/>
            <result property="captain" column="SHIP_LENGTH_PREDICT" jdbcType="DECIMAL"/>
            <result property="cc" column="SHIP_LENGTH" jdbcType="DECIMAL"/>
            <result property="ck" column="SHIP_WIDTH" jdbcType="DECIMAL"/>
            <result property="ckzzd" column="REFERENCE_LOAD" jdbcType="DECIMAL"/>
            <result property="clientId" column="CLIENT_ID" jdbcType="VARCHAR"/>
            <result property="crossSectionId" column="CROSS_SECTION_ID" jdbcType="VARCHAR"/>
            <result property="crossSectionName" column="CROSS_SECTION_NAME" jdbcType="VARCHAR"/>
            <result property="direction" column="DIRECTION" jdbcType="DECIMAL"/>
            <result property="disappearTime" column="DISAPPEAR_TIME" jdbcType="TIMESTAMP"/>
            <result property="hdPathUrl" column="HD_PATH_URL" jdbcType="VARCHAR"/>
            <result property="id" column="ID" jdbcType="VARCHAR"/>
            <result property="index" column="INDEX" jdbcType="DECIMAL"/>
            <result property="isLaden" column="IS_LOAD" jdbcType="DECIMAL"/>
            <result property="lifeJecket" column="LIFE_JACKET" jdbcType="DECIMAL"/>
            <result property="mmsi" column="MMSI" jdbcType="VARCHAR"/>
            <result property="mmsiShipName" column="MMSI_SHIP_NAME" jdbcType="VARCHAR"/>
            <result property="modifyTime" column="MODIFY_TIME" jdbcType="TIMESTAMP"/>
            <result property="objId" column="OBJ_ID" jdbcType="VARCHAR"/>
            <result property="overLoad" column="OVER_LOAD" jdbcType="DECIMAL"/>
            <result property="playbackPath" column="PLAYBACK_PATH" jdbcType="VARCHAR"/>
            <result property="problemDescription" column="PROBLEM_DESCRIPTION" jdbcType="VARCHAR"/>
            <result property="shipEn" column="SHIP_EN" jdbcType="VARCHAR"/>
            <result property="shipRealName" column="SHIP_REAL_NAME" jdbcType="VARCHAR"/>
            <result property="shipType" column="SHIP_TYPE" jdbcType="VARCHAR"/>
            <result property="shipName" column="SHIP_NAME" jdbcType="VARCHAR"/>
            <result property="speed" column="SPEED" jdbcType="DECIMAL"/>
            <result property="stDirection" column="ST_DIRECTION" jdbcType="VARCHAR"/>
            <result property="thumbnailUrl" column="THUMBNAIL_URL" jdbcType="VARCHAR"/>
            <result property="xs" column="MOULDED_DEPTH" jdbcType="DECIMAL"/>
    </resultMap>

    <sql id="Base_Column_List">
        ADD_TIME,APPEAR_TIME,SHIP_LENGTH_PREDICT,
        SHIP_LENGTH,SHIP_WIDTH,REFERENCE_LOAD,
        CLIENT_ID,CROSS_SECTION_ID,CROSS_SECTION_NAME,
        DIRECTION,DISAPPEAR_TIME,HD_PATH_URL,
        ID,INDEX,IS_LOAD,
        LIFE_JACKET,MMSI,MMSI_SHIP_NAME,
        MODIFY_TIME,OBJ_ID,OVER_LOAD,
        PLAYBACK_PATH,PROBLEM_DESCRIPTION,SHIP_EN,
        SHIP_REAL_NAME,SHIP_TYPE,SHIP_NAME,
        SPEED,ST_DIRECTION,THUMBNAIL_URL,
        MOULDED_DEPTH
    </sql>
</mapper>
